Bug 831381 - dotconf-devel-1.3-3.fc17.i686 multilib conflict
dotconf-devel-1.3-3.fc17.i686 multilib conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dotconf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 18:13 EDT by Philippe Troin
Modified: 2013-08-01 23:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: dotconf-1.3-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:45:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 18:13:41 EDT
# yum -y install dotconf-devel-1.3-3.fc17.i686
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package dotconf-devel.i686 0:1.3-3.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                Arch          Version             Repository       Size
================================================================================
Installing:
 dotconf-devel          i686          1.3-3.fc17          fedora           31 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 31 k
Installed size: 75 k
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/dotconf-devel-1.3/examples/Makefile from install of dotconf-devel-1.3-3.fc17.i686 conflicts with file from package dotconf-devel-1.3-3.fc17.x86_64

Error Summary
-------------

[2]    11910 exit 1     noglob yum -y install dotconf-devel-1.3-3.fc17.i686
Comment 1 Fedora End Of Life 2013-07-03 22:26:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Rui Matos 2013-07-16 11:39:45 EDT
The following patch fixes both the multilib issue and also the fact that we are shipping the examples/ directory both in the base package and in the -devel package which also seems wrong to me.



diff --git a/dotconf.spec b/dotconf.spec
index 2766517..0a22293 100644
--- a/dotconf.spec
+++ b/dotconf.spec
@@ -29,7 +29,7 @@ developing applications that use %{name}.
 %setup -q
 
 %build
-%configure --disable-static --docdir=%{_datadir}/doc/%{name}-%{version}
+%configure --disable-static --docdir=%{_datadir}/doc/%{name}-devel-%{version}
 make %{?_smp_mflags}
 
 %install
@@ -59,7 +59,7 @@ rm -rf $%{buildroot}
 
 %files devel
 %defattr(-,root,root,-)
-%doc examples/
+%doc %{_docdir}
 %{_libdir}/libdotconf*.so
 %{_includedir}/dotconf.h
 %{_libdir}/pkgconfig/dotconf.pc
Comment 3 Fedora Update System 2013-07-16 18:59:41 EDT
dotconf-1.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dotconf-1.3-6.fc19
Comment 4 Fedora Update System 2013-07-18 02:08:06 EDT
Package dotconf-1.3-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dotconf-1.3-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13175/dotconf-1.3-6.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-01 23:45:13 EDT
dotconf-1.3-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.